__gnu_cxx::__detail::_Bitmap_counter< _Tp > Class Template Reference
Inheritance diagram for __gnu_cxx::__detail::_Bitmap_counter< _Tp >:
[legend]

## Public Member Functions

| _Bitmap_counter (_BPVector &Rvbp, long __index=-1)
pointer | _M_base () const throw ()
bool | _M_finished () const throw ()
size_t * | _M_get () const throw ()
_Index_type | _M_offset () const throw ()
void | _M_reset (long __index=-1) throw ()
void | _M_set_internal_bitmap (size_t *__new_internal_marker) throw ()
_Index_type | _M_where () const throw ()
_Bitmap_counter & | operator++ () throw ()

## Detailed Description

### template<typename _Tp>
class __gnu_cxx::__detail::_Bitmap_counter< _Tp >

The bitmap counter which acts as the bitmap manipulator, and manages the bit-manipulation functions and the searching and identification functions on the bit-map.

Definition at line 396 of file bitmap_allocator.h.

The documentation for this class was generated from the following file:

- bitmap_allocator.h